-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT


CREATE TABLE @SCHEMA@.SIBOWNER (
  ME_UUID VARCHAR(16),
  INC_UUID VARCHAR(16),
  VERSION INTEGER,
  MIGRATION_VERSION INTEGER,
  ME_LUTS TIMESTAMP,
  ME_INFO VARCHAR(254),
  ME_STATUS VARCHAR(16)
)
;

CREATE TABLE @SCHEMA@.SIBOWNERO (
   EMPTY_COLUMN INTEGER
)
;

CREATE TABLE @SCHEMA@.SIBCLASSMAP (
  CLASSID INTEGER NOT NULL,
  URI VARCHAR(2048) NOT NULL,
  PRIMARY KEY(CLASSID)
)
;

CREATE TABLE @SCHEMA@.SIBLISTING (
  ID INTEGER NOT NULL,
  SCHEMA_NAME VARCHAR(10),
  TABLE_NAME VARCHAR(10) NOT NULL,
  TABLE_TYPE CHAR(1) NOT NULL,
  PRIMARY KEY(ID)
)
;

CREATE TABLE @SCHEMA@.SIB000 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INTEGER,
  REFERENCE BIGINT,
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE BIGINT,
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID BIGINT,
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(1G),
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER NOT NULL WITH DEFAULT 0,
  PRIMARY KEY(ID)
)
;

CREATE INDEX @SCHEMA@.SIB000STREAMIX ON
@SCHEMA@.SIB000(STREAM_ID,SEQUENCE) ALLOW REVERSE SCANS
;

ALTER TABLE @SCHEMA@.SIB000 VOLATILE CARDINALITY
;

CREATE TABLE @SCHEMA@.SIB001 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INTEGER,
  REFERENCE BIGINT,
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE BIGINT,
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID BIGINT,
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(1G),
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER NOT NULL WITH DEFAULT 0,
  PRIMARY KEY(ID)
)
;

CREATE INDEX @SCHEMA@.SIB001STREAMIX ON
@SCHEMA@.SIB001(STREAM_ID,SEQUENCE) ALLOW REVERSE SCANS
;

ALTER TABLE @SCHEMA@.SIB001 VOLATILE CARDINALITY
;

CREATE TABLE @SCHEMA@.SIB002 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INTEGER,
  REFERENCE BIGINT,
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE BIGINT,
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID BIGINT,
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(1G),
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER NOT NULL WITH DEFAULT 0,
  PRIMARY KEY(ID)
)
;

CREATE INDEX @SCHEMA@.SIB002STREAMIX ON
@SCHEMA@.SIB002(STREAM_ID,SEQUENCE) ALLOW REVERSE SCANS
;

ALTER TABLE @SCHEMA@.SIB002 VOLATILE CARDINALITY
;

CREATE TABLE @SCHEMA@.SIBXACTS (
  XID VARCHAR(254) NOT NULL,
  STATE CHAR(1) NOT NULL,
  PRIMARY KEY(XID)
)
;

CREATE TABLE @SCHEMA@.SIBKEYS (
  ID VARCHAR(50) NOT NULL,
  LAST_KEY BIGINT NOT NULL,
  PRIMARY KEY(ID)
)
;
