-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

CREATE TABLESPACE BPM01OWN IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
3200 SECQTY 320 ERASE NO PCTFREE 0 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE TABLE CLOSE NO;

CREATE TABLE @SCHEMA@.SIBOWNER (
  ME_UUID VARCHAR(16),
  INC_UUID VARCHAR(16),
  VERSION INTEGER,
  MIGRATION_VERSION INTEGER,
  ME_LUTS TIMESTAMP,
  ME_INFO VARCHAR(254),
  ME_STATUS VARCHAR(16)
) IN @DB_NAME@.BPM01OWN;

CREATE UNIQUE INDEX @SCHEMA@.SIBOWNER ON @SCHEMA@.SIBOWNER(ME_UUID)
USING STOGROUP @STOGRP@ PRIQTY 200 SECQTY 20;

CREATE TABLESPACE  BPM01OTS IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
3200 SECQTY 320 ERASE NO PCTFREE 0 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE TABLE CLOSE NO;

CREATE TABLE @SCHEMA@.SIBOWNERO (
   EMPTY_COLUMN INTEGER
) IN @DB_NAME@.BPM01OTS;

CREATE TABLESPACE BPM01MAP IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
3200 SECQTY 320 ERASE NO PCTFREE 10 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ANY CLOSE NO;

CREATE TABLE @SCHEMA@.SIBCLASSMAP (
  CLASSID INTEGER NOT NULL,
  URI VARCHAR(2048) NOT NULL,
  PRIMARY KEY(CLASSID)
) IN @DB_NAME@.BPM01MAP;

CREATE UNIQUE INDEX @SCHEMA@.SIBCLASSMAP ON
@SCHEMA@.SIBCLASSMAP(CLASSID) USING STOGROUP @STOGRP@ PRIQTY 200 SECQTY
20;

CREATE TABLESPACE BPM01LST IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
3200 SECQTY 320 ERASE NO PCTFREE 0 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ANY CLOSE NO;

CREATE TABLE @SCHEMA@.SIBLISTING (
  ID INTEGER NOT NULL,
  SCHEMA_NAME VARCHAR(10),
  TABLE_NAME VARCHAR(10) NOT NULL,
  TABLE_TYPE CHAR(1) NOT NULL,
  PRIMARY KEY(ID)
) IN @DB_NAME@.BPM01LST;

CREATE UNIQUE INDEX @SCHEMA@.SIBLISTING ON @SCHEMA@.SIBLISTING(ID)
USING STOGROUP @STOGRP@ PRIQTY 200 SECQTY 20;

SET CURRENT RULES = 'DB2';

CREATE TABLESPACE BPM0100T IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
10240 SECQTY 1024 ERASE NO PCTFREE 20 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ROW CLOSE NO;

CREATE TABLE @SCHEMA@.SIB000 (
  ID DECIMAL(19) NOT NULL,
  STREAM_ID DECIMAL(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME DECIMAL(19),
  STRATEGY INTEGER,
  REFERENCE DECIMAL(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE DECIMAL(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID DECIMAL(19),
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(100M),
  LONG_DATA_ID ROWID GENERATED ALWAYS NOT NULL,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) IN @DB_NAME@.BPM0100T;

CREATE UNIQUE INDEX @SCHEMA@.SIB000 ON @SCHEMA@.SIB000(ID) USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE LOB TABLESPACE BPM0100L IN @DB_NAME@ USING STOGROUP @STOGRP@
PRIQTY 102400 SECQTY 10240 BUFFERPOOL @BPTABLE4K@ LOCKSIZE LOB;

CREATE AUXILIARY TABLE @SCHEMA@.SIB000AUX IN @DB_NAME@.BPM0100L STORES
@SCHEMA@.SIB000 COLUMN LONG_DATA;

CREATE UNIQUE INDEX @SCHEMA@.SIB000AUXIX ON @SCHEMA@.SIB000AUX USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE INDEX @SCHEMA@.SIB000STREAMIX ON
@SCHEMA@.SIB000(STREAM_ID,SEQUENCE) USING STOGROUP @STOGRP@ PRIQTY 500
SECQTY 50;

SET CURRENT RULES = 'DB2';

CREATE TABLESPACE BPM0101T IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
10240 SECQTY 1024 ERASE NO PCTFREE 20 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ROW CLOSE NO;

CREATE TABLE @SCHEMA@.SIB001 (
  ID DECIMAL(19) NOT NULL,
  STREAM_ID DECIMAL(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME DECIMAL(19),
  STRATEGY INTEGER,
  REFERENCE DECIMAL(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE DECIMAL(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID DECIMAL(19),
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(100M),
  LONG_DATA_ID ROWID GENERATED ALWAYS NOT NULL,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) IN @DB_NAME@.BPM0101T;

CREATE UNIQUE INDEX @SCHEMA@.SIB001 ON @SCHEMA@.SIB001(ID) USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE LOB TABLESPACE BPM0101L IN @DB_NAME@ USING STOGROUP @STOGRP@
PRIQTY 102400 SECQTY 10240 BUFFERPOOL @BPTABLE4K@ LOCKSIZE LOB;

CREATE AUXILIARY TABLE @SCHEMA@.SIB001AUX IN @DB_NAME@.BPM0101L STORES
@SCHEMA@.SIB001 COLUMN LONG_DATA;

CREATE UNIQUE INDEX @SCHEMA@.SIB001AUXIX ON @SCHEMA@.SIB001AUX USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE INDEX @SCHEMA@.SIB001STREAMIX ON
@SCHEMA@.SIB001(STREAM_ID,SEQUENCE) USING STOGROUP @STOGRP@ PRIQTY 500
SECQTY 50;

SET CURRENT RULES = 'DB2';

CREATE TABLESPACE BPM0102T IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
10240 SECQTY 1024 ERASE NO PCTFREE 20 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ROW CLOSE NO;

CREATE TABLE @SCHEMA@.SIB002 (
  ID DECIMAL(19) NOT NULL,
  STREAM_ID DECIMAL(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME DECIMAL(19),
  STRATEGY INTEGER,
  REFERENCE DECIMAL(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE DECIMAL(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID DECIMAL(19),
  DATA_SIZE INTEGER NOT NULL,
  DATA VARCHAR(3360) FOR BIT DATA,
  LONG_DATA BLOB(100M),
  LONG_DATA_ID ROWID GENERATED ALWAYS NOT NULL,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) IN @DB_NAME@.BPM0102T;

CREATE UNIQUE INDEX @SCHEMA@.SIB002 ON @SCHEMA@.SIB002(ID) USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE LOB TABLESPACE BPM0102L IN @DB_NAME@ USING STOGROUP @STOGRP@
PRIQTY 102400 SECQTY 10240 BUFFERPOOL @BPTABLE4K@ LOCKSIZE LOB;

CREATE AUXILIARY TABLE @SCHEMA@.SIB002AUX IN @DB_NAME@.BPM0102L STORES
@SCHEMA@.SIB002 COLUMN LONG_DATA;

CREATE UNIQUE INDEX @SCHEMA@.SIB002AUXIX ON @SCHEMA@.SIB002AUX USING
STOGROUP @STOGRP@ PRIQTY 500 SECQTY 50;

CREATE INDEX @SCHEMA@.SIB002STREAMIX ON
@SCHEMA@.SIB002(STREAM_ID,SEQUENCE) USING STOGROUP @STOGRP@ PRIQTY 500
SECQTY 50;

CREATE TABLESPACE BPM01XAT IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
6400 SECQTY 640 ERASE NO PCTFREE 20 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ROW CLOSE NO;

CREATE TABLE @SCHEMA@.SIBXACTS (
  XID VARCHAR(254) NOT NULL,
  STATE CHAR(1) NOT NULL,
  PRIMARY KEY(XID)
) IN @DB_NAME@.BPM01XAT;

CREATE UNIQUE INDEX @SCHEMA@.SIBXACTS ON @SCHEMA@.SIBXACTS(XID) NOT PADDED USING
STOGROUP @STOGRP@ PRIQTY 200 SECQTY 20;

CREATE TABLESPACE BPM01KEY IN @DB_NAME@ USING STOGROUP @STOGRP@ PRIQTY
3200 SECQTY 320 ERASE NO PCTFREE 10 SEGSIZE 32 BUFFERPOOL @BPTABLE4K@
LOCKSIZE ANY CLOSE NO;

CREATE TABLE @SCHEMA@.SIBKEYS (
  ID VARCHAR(50) NOT NULL,
  LAST_KEY DECIMAL(19) NOT NULL,
  PRIMARY KEY(ID)
) IN @DB_NAME@.BPM01KEY;

CREATE UNIQUE INDEX @SCHEMA@.SIBKEYS ON @SCHEMA@.SIBKEYS(ID) USING
STOGROUP @STOGRP@ PRIQTY 200 SECQTY 20;
