-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96, 5724-M24
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

-- ------------------------------------------------------------------------------------
--
-- Script file to drop and create schema (tables) for DB2zOS for FEM
-- This is done only for DB2zOS.
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @SCHEMA@  = the schema name, eg MONITOR
-- @TSDIR@ = the directory or prefix for tablespace datafiles, eg DEFAULTTS
--    
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf createTables.sql
--
-- ------------------------------------------------------------------------------------

Drop TABLESPACE PLTS;

Drop TABLE @SCHEMA@.PERSISTENTLOCK;

-- *******************************************
-- Drop tablespaces
-- *******************************************
Drop TABLESPACE EVENTS;
Drop TABLESPACE EVENTS0;
Drop TABLESPACE JSERVICE;

-- *******************************************
-- Drop table FailedEvents and indexes
-- *******************************************
Drop INDEX @SCHEMA@.FAILEDEVENTS;
Drop INDEX @SCHEMA@.FAILTIME;
Drop INDEX @SCHEMA@.FESTATUS;
Drop TABLE @SCHEMA@.FAILEDEVENTS;

-- *******************************************
-- Drop table FailedEventBOTypes and indexes
-- *******************************************
Drop INDEX @SCHEMA@.FAILEDEVENTBOTYPES;
Drop TABLE @SCHEMA@.FAILEDEVENTBOTYPES;

-- *******************************************
-- Drop table FailedEventMessage and indexes
-- *******************************************
Drop INDEX @SCHEMA@.FAILEDEVENTMESSAGE;
Drop INDEX @SCHEMA@.FEMESSAGEBLOB_IDX;
Drop TABLE @SCHEMA@.FEMESSAGEBLOB;
Drop TABLE @SCHEMA@.FAILEDEVENTMESSAGE; 
-- *******************************************
-- Drop table FailedEventDetail and indexes
-- *******************************************
Drop INDEX @SCHEMA@.FAILEDEVENTDETAIL;
Drop INDEX @SCHEMA@.FEMMSGM_IDX;
Drop INDEX @SCHEMA@.FEMMSGP_IDX;
Drop INDEX @SCHEMA@.FEMMSGE_IDX;
Drop TABLE @SCHEMA@.FEMMSGBLOB;
Drop TABLE @SCHEMA@.FEMPRMBLOB;
Drop TABLE @SCHEMA@.FEMEXPBLOB;
Drop TABLESPACE EVENTSM;
Drop TABLESPACE EVENTSP;
Drop TABLESPACE EVENTSD;
Drop TABLE @SCHEMA@.FAILEDEVENTDETAIL;

