-- BEGIN COPYRIGHT
-- *************************************************************************
--
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *************************************************************************
-- END COPYRIGHT
--
-- Scriptfile to drop schema in Oracle 9i, 10g, 11g
----------------------------------------------------------------------
-- Process this script using SQL*Plus
-- example: sqlplus scott/tiger@mydb @dropSchema_Observer.sql
-- or, at the sqlplus prompt, enter
-- SQL> @dropSchema_Observer.sql


-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.OBSERVER_VERSION;

DROP TABLE @SCHEMA@.INST_PRC_T;

DROP TABLE @SCHEMA@.INST_ACT_T;

DROP TABLE @SCHEMA@.EVENT_PRC_T;

DROP TABLE @SCHEMA@.EVENT_ACT_T;

DROP TABLE @SCHEMA@.QUERY_T;

DROP TABLE @SCHEMA@.SLICES_T;

DROP TABLE @SCHEMA@.OPEN_EVENTS_T;

--------------------------------------------------------------------------------
--
-- SQL snippet to drop Observer UDFs
-- for Oracle 9i and Oracle 10g
--
--------------------------------------------------------------------------------
--
-- Note:
--
-- If you used the java based Observer functions, you also must uninstall the
-- jar file bpcodbutil.jar from the database as follows:
--
-- $ORACLE_HOME/bin/dropjava -user <user>/<password>@<database> bpcodbutil.jar
--
--------------------------------------------------------------------------------

-------------------
-- Drop function --
-------------------

DROP FUNCTION @SCHEMA@.INTERVALIN;
DROP FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE;
QUIT
